<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: UnityWebRequestAwaiter Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('struct_unity_web_request_awaiter.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="struct_unity_web_request_awaiter-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">UnityWebRequestAwaiter Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="https://gist.github.com/krzys-h/9062552e33dd7bd7fe4a6c12db109a1a#gistcomment-3866629">https://gist.github.com/krzys-h/9062552e33dd7bd7fe4a6c12db109a1a#gistcomment-3866629</a> Async awaitable UnityWebRequest <br  />
<br  />
 Usage example: <br  />
<br  />
 UnityWebRequest www = new UnityWebRequest(); <br  />
 // do unitywebrequest setup here here...  
 <a href="struct_unity_web_request_awaiter.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for UnityWebRequestAwaiter:</div>
<div class="dyncontent">
 <div class="center">
  <img src="struct_unity_web_request_awaiter.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5aa4f0147196ea198b2fb38c107118ad"><td class="memItemLeft" align="right" valign="top"><a id="a5aa4f0147196ea198b2fb38c107118ad" name="a5aa4f0147196ea198b2fb38c107118ad"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>UnityWebRequestAwaiter</b> (UnityWebRequestAsyncOperation asyncOp)</td></tr>
<tr class="separator:a5aa4f0147196ea198b2fb38c107118ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6e53a6a9836d77eb266080dfdf9400e"><td class="memItemLeft" align="right" valign="top"><a id="af6e53a6a9836d77eb266080dfdf9400e" name="af6e53a6a9836d77eb266080dfdf9400e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>GetResult</b> ()</td></tr>
<tr class="separator:af6e53a6a9836d77eb266080dfdf9400e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf33bb1d9f8c603bb80346932e2bade8"><td class="memItemLeft" align="right" valign="top"><a id="adf33bb1d9f8c603bb80346932e2bade8" name="adf33bb1d9f8c603bb80346932e2bade8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>OnCompleted</b> (Action continuation)</td></tr>
<tr class="separator:adf33bb1d9f8c603bb80346932e2bade8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a7cf19d0e06e118882fbb24cc65bc4b9f"><td class="memItemLeft" align="right" valign="top"><a id="a7cf19d0e06e118882fbb24cc65bc4b9f" name="a7cf19d0e06e118882fbb24cc65bc4b9f"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>IsCompleted</b><code> [get]</code></td></tr>
<tr class="separator:a7cf19d0e06e118882fbb24cc65bc4b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a href="https://gist.github.com/krzys-h/9062552e33dd7bd7fe4a6c12db109a1a#gistcomment-3866629">https://gist.github.com/krzys-h/9062552e33dd7bd7fe4a6c12db109a1a#gistcomment-3866629</a> Async awaitable UnityWebRequest <br  />
<br  />
 Usage example: <br  />
<br  />
 UnityWebRequest www = new UnityWebRequest(); <br  />
 // do unitywebrequest setup here here... </p>
<p ><br  />
 await www.SendWebRequest(); <br  />
 Debug.Log(req.downloadHandler.text); <br  />
 </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/Scripts/<a class="el" href="_utils_8cs.html">Utils.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_unity_web_request_awaiter.html">UnityWebRequestAwaiter</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:26:14 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
